Subject: bug#15194: hop FTBFS

From: [email-masked] (Ludovic Courtès)
Date: Tue, 27 Aug 2013 17:18:20 +0200

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> It turns out Hop & Bigloo have to be upgraded in lockstep.  I believe
>> a new Hop version is around the corner, so I’m tempted to just wait
>> for that.
>>
>> WDYT?
>
> I think we should find a solution that doesn't lead to the 'hop' build
> being broken every time 'bigloo' is upgraded before 'hop'.
>
> An obvious solution would be to keep two versions of 'bigloo': the
> latest release, and the release that corresponds to the latest release
> of 'hop'.  Hopefully these would be the same most of the time.

Yes, that sounds like a plan.  And hopefully the “old” Bigloo would just
differ by its ‘version’ and ‘source’ fields, which is easily handled.

Would you like to propose a patch?

Thanks,
Ludo’.